OpenCL C++ Bindings

Loading...
Searching...
No Matches
Classes | Public Types | List of all members
cl::SVMAllocator< void, SVMTrait > Class Template Reference

## Classes
struct | rebind

## Public Types
typedef void | value_type
typedef value_type * | pointer
typedef const value_type * | const_pointer

## Detailed Description

template<class SVMTrait>
class cl::SVMAllocator< void, SVMTrait >

Definition at line 3972 of file opencl.hpp.

## Member Typedef Documentation

## ◆ const_pointer

template<class SVMTrait >

typedef const value_type* cl::SVMAllocator< void, SVMTrait >::const_pointer

Definition at line 3976 of file opencl.hpp.

## ◆ pointer

template<class SVMTrait >

typedef value_type* cl::SVMAllocator< void, SVMTrait >::pointer

Definition at line 3975 of file opencl.hpp.

## ◆ value_type

template<class SVMTrait >

typedef void cl::SVMAllocator< void, SVMTrait >::value_type

Definition at line 3974 of file opencl.hpp.

## Friends And Related Symbol Documentation

## ◆ SVMAllocator

template<class SVMTrait >
template<typename U , typename V >

friend class SVMAllocator
| friend

Definition at line 3985 of file opencl.hpp.

The documentation for this class was generated from the following file:

- opencl.hpp